SC_UPDATE_DIR(3)

NAME
sc_update_dir - Update application directory on a card

SYNOPSIS

#include <opensc.h>
int sc_update_dir(sc_card_t *card, sc_app_info_t *app);

DESCRIPTION

This function updates the application directory on card. If the card has a record-structured directory file, app may contain the application to update. Otherwise, the entire directory file is updated.

Before calling this function, you MUST call sc_enum_apps() first.

RETURN VALUE

Returns 0 if successful, or a negative value in case of error.